package com.tanpu.community.api.beans.qo;


import io.swagger.annotations.ApiModelProperty;

public class ThemeAnalysDO {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "UUID")
    private String themeId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "类型")
    private Integer themeType;

    @ApiModelProperty(value = "文本内容")
    private String content;

    @ApiModelProperty(value = "作者id")
    private String authorId;

    @ApiModelProperty(value = "被转发的主题")
    private String formerThemeId;

    @ApiModelProperty(value = "所属的话题")
    private String topicId;

    @ApiModelProperty(value = "转发量")
    private Integer forwardCount;

    @ApiModelProperty(value = "评论量")
    private Integer commentCount;

    @ApiModelProperty(value = "点赞量")
    private Integer likeCount;

    @ApiModelProperty(value = "距今时间")
    private Long timeTillNow;

}
